Delete a note
curl --request DELETE \
--url https://api.getfernand.com/conversations/{id}/notes/{note_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/conversations/{id}/notes/{note_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/conversations/{id}/notes/{note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/conversations/{id}/notes/{note_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/conversations/{id}/notes/{note_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/conversations/{id}/notes/{note_id}")
.header("X-API-Key", "<api-key>")
.asString();{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Delete a note
DELETE
/
conversations
/
{id}
/
notes
/
{note_id}
Delete a note
Permanently removes a note from a conversation.
Only the author of the note can delete it, or an administrator can delete an automated note.
If the note is the last entry in the conversation, the entire conversation is also deleted. This action cannot be undone.
Authorizations
Path Parameters
ID of the conversation containing the note.
ID of the note to delete.
Response
Note deleted successfully (no content returned).
Was this page helpful?
⌘I